import {
	observer,
	inject
} from 'mobx-react';
import {
	toJS
} from 'mobx';
import {
	WeaSelect
} from 'ecCom';

@inject('hrmVacationBalanceReportCopy')
@observer
class DialogSelect extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			hrmVacationBalanceReportCopy
		} = this.props, {
			dialogSelect,
			handleSelectChange,
			dialogPartChainCall
		} = hrmVacationBalanceReportCopy, {
			value,
			options,
		} = dialogSelect;

		return (<div style={{float: 'right',padding: 5}}>
			 		<WeaSelect ecId={`${this && this.props && this.props.ecId || ''}_WeaSelect@9rzfcv`} 
						options={toJS(options)}
						value={value}
						style={{width: 120}}
						onChange={value => handleSelectChange(value, dialogPartChainCall)}
					/>	
				</div>);
	}
}

export default DialogSelect;